com.holonplatform.vaadin.flow.components.builders

## Interface ValidatableStringInputBuilder

- All Superinterfaces:
    BaseValidatableInputBuilder<String,ValidatableInput<String>,ValidatableStringInputBuilder>, ComponentConfigurator<ValidatableStringInputBuilder>, CompositionNotifierConfigurator<ValidatableStringInputBuilder>, DeferrableLocalizationConfigurator<ValidatableStringInputBuilder>, FocusableConfigurator<com.vaadin.flow.component.Component,ValidatableStringInputBuilder>, HasAutocapitalizeConfigurator<ValidatableStringInputBuilder>, HasAutocompleteConfigurator<ValidatableStringInputBuilder>, HasAutocorrectConfigurator<ValidatableStringInputBuilder>, HasAutofocusConfigurator<ValidatableStringInputBuilder>, HasDeferrableLocalization, HasElementConfigurator<ValidatableStringInputBuilder>, HasEnabledConfigurator<ValidatableStringInputBuilder>, HasLabelConfigurator<ValidatableStringInputBuilder>, HasPatternConfigurator<ValidatableStringInputBuilder>, HasPlaceholderConfigurator<ValidatableStringInputBuilder>, HasPrefixAndSuffixConfigurator<ValidatableStringInputBuilder>, HasSizeConfigurator<ValidatableStringInputBuilder>, HasStyleConfigurator<ValidatableStringInputBuilder>, HasThemeVariantConfigurator<com.vaadin.flow.component.textfield.TextFieldVariant,ValidatableStringInputBuilder>, HasTitleConfigurator<ValidatableStringInputBuilder>, HasValueChangeModeConfigurator<ValidatableStringInputBuilder>, InputConfigurator<String,ValueHolder.ValueChangeEvent<String>,ValidatableStringInputBuilder>, InputNotifierConfigurator<ValidatableStringInputBuilder>, InputValueConfigurator<String,ValueHolder.ValueChangeEvent<String>,ValidatableStringInputBuilder>, KeyNotifierConfigurator<ValidatableStringInputBuilder>, StringInputConfigurator<ValidatableStringInputBuilder>, TextInputConfigurator<ValidatableStringInputBuilder>, ValidatableInputConfigurator<String,ValidatableInput<String>,ValidatableStringInputBuilder>

      public interface ValidatableStringInputBuilder
      extends StringInputConfigurator<ValidatableStringInputBuilder>, BaseValidatableInputBuilder<String,ValidatableInput<String>,ValidatableStringInputBuilder>

  Validatable `String` type `Input` builder.
  Since:
    5.2.2

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.InputConfigurator

      `InputConfigurator.BaseInputConfigurator<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `ComponentConfigurator.BaseComponentConfigurator`

  - ### Field Summary

    - ### Fields inherited from interface com.holonplatform.vaadin.flow.components.builders.HasSizeConfigurator

      `FULL_SIZE`

  - ### Method Summary

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.InputValueConfigurator

      `withValue`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.InputConfigurator

      `readOnly, readOnly, required, required, withValueChangeListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `hidden, id, visible, withAttachListener, withDetachListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasElementConfigurator

      `withEventListener, withEventListener, withThemeName`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.TextInputConfigurator

      `blankValuesAsNull, emptyValuesAsNull, maxLength, minLength`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasEnabledConfigurator

      `disabled, enabled`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasAutocompleteConfigurator

      `autocomplete`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasAutocapitalizeConfigurator

      `autocapitalize`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasAutocorrectConfigurator

      `autocorrect`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.InputNotifierConfigurator

      `withInputListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.KeyNotifierConfigurator

      `withKeyDownListener, withKeyDownListener, withKeyPressListener, withKeyPressListener, withKeyUpListener, withKeyUpListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasValueChangeModeConfigurator

      `valueChangeMode`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasSizeConfigurator

      `fullHeight, fullSize, fullWidth, height, height, heightUndefined, sizeUndefined, width, width, widthUndefined`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasStyleConfigurator

      `styleName, styleNames`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasAutofocusConfigurator

      `autofocus`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.FocusableConfigurator

      `tabIndex, withBlurListener, withFocusListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasPrefixAndSuffixConfigurator

      `prefixComponent, suffixComponent`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.CompositionNotifierConfigurator

      `withCompositionEndListener, withCompositionStartListener, withCompositionUpdateListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasPlaceholderConfigurator

      `placeholder, placeholder, placeholder`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasLabelConfigurator

      `label, label, label`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasTitleConfigurator

      `description, description, description, title, title, title`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasPatternConfigurator

      `pattern, preventInvalidInput, preventInvalidInput`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasThemeVariantConfigurator

      `withThemeVariants`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.DeferrableLocalizationConfigurator

      `deferLocalization, withDeferredLocalization`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasDeferrableLocalization

      `isDeferredLocalizationEnabled`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.BaseValidatableInputBuilder

      `build`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ValidatableInputConfigurator

      `required, required, required, required, required, validateOnValueChange, validationStatusHandler, withValidator`

Copyright © 2019 The Holon Platform. All rights reserved.